GET api/Files/GetOpportunityLevelFolders/{opportunityDatabaseId}
Returns opportunity files folder details.
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| opportunityDatabaseId |
Opportunity database Id |
globally unique identifier |
Required |
Body Parameters
None.
Response Information
Resource Description
Opportunity level folder details.
NowCertsApiResultOfFolderDetails| Name | Description | Type | Additional information |
|---|---|---|---|
| Status | ApiStatus |
None. |
|
| Data | FolderDetails |
None. |
|
| Message | string |
None. |
Response Formats
application/json, text/json
Sample:
{
"status": 0,
"data": {
"id": "b02e0562-38b6-4a5f-8062-3468846e9903",
"parentId": "f7655bf4-e0da-4a36-a363-d9d9f52d623c",
"name": "sample string 2",
"isSystemFolder": true,
"systemFolderType": 0,
"type": 4,
"insuredDatabaseId": "59961ce2-9559-4aa1-920e-b99a0b49deb7",
"opportunityIdDatabaseId": "7662fa6f-cc03-44d8-83b6-9b86aa5a8064",
"policyDatabaseId": "ee621592-e80f-44d5-9969-48c47e565211",
"createDate": "2026-02-23T19:38:05.2870127-06:00",
"changeDate": "2026-02-23T19:38:05.2870127-06:00"
},
"message": "sample string 1"
}
application/xml, text/xml
Sample:
<NowCertsApiResultOfFolderDetailsmXcRfcts xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.NowCertsFulcrum">
<Data xmlns:d2p1="http://schemas.datacontract.org/2004/07/BusinessEntities.NowCertsFulcrum.File">
<d2p1:ChangeDate>2026-02-23T19:38:05.2870127-06:00</d2p1:ChangeDate>
<d2p1:CreateDate>2026-02-23T19:38:05.2870127-06:00</d2p1:CreateDate>
<d2p1:Id>b02e0562-38b6-4a5f-8062-3468846e9903</d2p1:Id>
<d2p1:InsuredDatabaseId>59961ce2-9559-4aa1-920e-b99a0b49deb7</d2p1:InsuredDatabaseId>
<d2p1:IsSystemFolder>true</d2p1:IsSystemFolder>
<d2p1:Name>sample string 2</d2p1:Name>
<d2p1:OpportunityIdDatabaseId>7662fa6f-cc03-44d8-83b6-9b86aa5a8064</d2p1:OpportunityIdDatabaseId>
<d2p1:ParentId>f7655bf4-e0da-4a36-a363-d9d9f52d623c</d2p1:ParentId>
<d2p1:PolicyDatabaseId>ee621592-e80f-44d5-9969-48c47e565211</d2p1:PolicyDatabaseId>
<d2p1:SystemFolderType>InsuredsRoot</d2p1:SystemFolderType>
<d2p1:Type>4</d2p1:Type>
</Data>
<Message>sample string 1</Message>
<Status>Error</Status>
</NowCertsApiResultOfFolderDetailsmXcRfcts>